%global mod_name instance-identity-module
%global short_name instance-identity

Name:           jenkins-instance-identity
Version:        1.4
Release:        %mkrel 6
Group:          Development/Java
Summary:        Jenkins identity instance

License:        MIT
URL:            https://github.com/jenkinsci/instance-identity-module
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz

Patch0:         0001-Update-bouncycastle-to-1.50.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)

BuildArch:      noarch

%description
Maintains an RSA key pair that can serve as a foundation of authentication when
communicating with Jenkins

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

%mvn_package ::{jm}:: __noinstall
#%%mvn_package : __noinstall

%build
# tests are disabled because "package org.jvnet.hudson.test does not exist"
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.4-6.mga6
+ Revision: 989026
- Rebuild against fixed jenkins
- imported package jenkins-instance-identity

